#  _________________________________________________________________________
#
#  Coopr: A COmmon Optimization Python Repository
#  Copyright (c) 2008 Sandia Corporation.
#  This software is distributed under the BSD License.
#  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
#  the U.S. Government retains certain rights in this software.
#  _________________________________________________________________________

def configure(installer):
    installer.default_dirname='coopr'
    installer.default_windor='C:\\coopr'
    installer.default_unixdir='./coopr'

    installer.config="""
[installer]
description=This script manages the installation of Coopr.
README=#
 # Coopr Installation generated with coopr_install.
 #
 # This directory is managed with virtualenv, which creates a
 # virtual Python installation.  If the 'bin' directory is put in
 # user's PATH environment, then the bin/python command can be used to
 # employ Coopr and associated packages without further installation.
 #
 # Directories:
 #   admin      Administrative data for maintaining this distribution
 #   bin        Scripts and executables
 #   dist       Python packages that are not intended for development
 #   doc        Coopr documentation and tutorials
 #   examples   Coopr examples
 #   include    Python header files
 #   lib        Python libraries and installed packages
 #   src        Python packages whose source files can be
 #              modified and used directly within this virtual Python
 #              installation.
 #   Scripts    Python bin directory (used on MS Windows)
 #   util       Coopr utility scripts (including coopr_install)
 #

[nose]
pypi=nose

;[coverage]
;release=https://software.sandia.gov/svn/public/tpl/coverage/branches/3.0.dev

[pyro]
release=https://software.sandia.gov/svn/public/tpl/pyro/tags/3.9.1/

[ply]
pypi=ply

[pyutilib.common]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.common
dev=True

[pyutilib.th]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.th
dev=True

[pyutilib.enum]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.enum
dev=True

[pyutilib.excel]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.excel
dev=True

[pyutilib.math]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.math
dev=True

[pyutilib.misc]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.misc
dev=True

[pyutilib.ply]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.ply
dev=True

[pyutilib.pyro]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.pyro
dev=True

[pyutilib.R]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.R
dev=True

[pyutilib.plugin.core]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.plugin.core
dev=True

[pyutilib.plugin.config]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.plugin.config
dev=True

[pyutilib.plugin.executables]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.plugin.executables
dev=True

[pyutilib.plugin.app]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.plugin.app
dev=True

[pyutilib.plugin.loader]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.plugin.loader
dev=True

[pyutilib.services]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.services
dev=True

[pyutilib.virtualenv]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.virtualenv
dev=True

[pyutilib.subprocess]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.subprocess
dev=True

[pyutilib.dev]
root=https://software.sandia.gov/svn/public/pyutilib/pyutilib.dev
dev=True

[coopr.misc]
root=https://software.sandia.gov/svn/public/coopr/coopr.misc
dev=True

[coopr.opt]
root=https://software.sandia.gov/svn/public/coopr/coopr.opt
dev=True

[coopr.plugins]
root=https://software.sandia.gov/svn/public/coopr/coopr.plugins
dev=True

[coopr.pyomo]
root=https://software.sandia.gov/svn/public/coopr/coopr.pyomo
dev=True

[coopr.pysos]
root=https://software.sandia.gov/svn/public/coopr/coopr.pysos
dev=True

[coopr.pysp]
root=https://software.sandia.gov/svn/public/coopr/coopr.pysp
dev=True

[coopr.sucasa]
root=https://software.sandia.gov/svn/public/coopr/coopr.sucasa
dev=True

[coopr]
root=https://software.sandia.gov/svn/public/coopr/coopr
dev=True

; Auxilliary directories that are checked out at the top
; level of the installation.  This data is intended to assist
; users.

[auxdir_coopr.misc]
doc=/doc/pub
util=util

[auxdir_coopr.opt]
examples/opt=/examples/opt

[auxdir_coopr.misc]
doc=/doc/pub
util=util

[auxdir_coopr.pyomo]
examples/pyomo=/examples/pyomo

[auxdir_coopr.pysos]
examples/pysos=/examples/pysos

[auxdir_coopr.pysp]
examples/pysp=/examples/pysp

[auxdir_coopr.sucasa]
examples/sucasa=/examples/sucasa

[localize]
pyomo.cmd=
pysos.cmd=
efwriter.cmd=
runph.cmd=
coopr-ns.cmd=
dispatch_srvr.cmd=
pyro_mip_server.cmd=
"""
    return installer
